_Write_MCP9600_Data:
;THERMO_K_click.c,19 :: 		char Write_MCP9600_Data(char RegAddr, char _data)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;THERMO_K_click.c,21 :: 		tmp_data[0] = RegAddr;                                                        // Register address
SW	R25, 4(SP)
SB	R25, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,22 :: 		tmp_data[1] = _data;
SB	R26, Offset(_tmp_data+1)(GP)
;THERMO_K_click.c,24 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,25 :: 		I2C_Write( MCP9600_I2C_ADDR );
ORI	R25, R0, 192
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,26 :: 		I2C_Write( tmp_data[ 0 ] );
LBU	R25, Offset(_tmp_data+0)(GP)
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,27 :: 		I2C_Write( tmp_data[ 1 ] );
LBU	R25, Offset(_tmp_data+1)(GP)
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,28 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,29 :: 		}
L_end_Write_MCP9600_Data:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Write_MCP9600_Data
_Read_MCP9600_Data:
;THERMO_K_click.c,38 :: 		char Read_MCP9600_Data(char RegAddr)
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;THERMO_K_click.c,40 :: 		tmp_data[0] = RegAddr;                                                        // Register address
SW	R25, 4(SP)
SB	R25, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,42 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,43 :: 		I2C_Write( MCP9600_I2C_ADDR );
ORI	R25, R0, 192
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,44 :: 		I2C_Write( tmp_data[ 0 ] );
LBU	R25, Offset(_tmp_data+0)(GP)
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,45 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,46 :: 		Delay_us( 50 );
LUI	R24, 0
ORI	R24, R24, 1332
L_Read_MCP9600_Data0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Read_MCP9600_Data0
NOP	
NOP	
NOP	
;THERMO_K_click.c,47 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,48 :: 		I2C_Write( MCP9600_I2C_ADDR | 1 );
ORI	R25, R0, 193
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,49 :: 		tmp_data[ 0 ] = I2C_Read( 1 );
ORI	R25, R0, 1
JAL	_I2C_Read+0
NOP	
SB	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,50 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,52 :: 		return tmp_data[0];                                                           // Return MCP9600 Data value
LBU	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,53 :: 		}
;THERMO_K_click.c,52 :: 		return tmp_data[0];                                                           // Return MCP9600 Data value
;THERMO_K_click.c,53 :: 		}
L_end_Read_MCP9600_Data:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Read_MCP9600_Data
_Read_MCP9600_Status:
;THERMO_K_click.c,62 :: 		char Read_MCP9600_Status()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;THERMO_K_click.c,66 :: 		tmp_data[0] = MCP9600_Status;                                                 // Register address
SW	R25, 4(SP)
ORI	R2, R0, 4
SB	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,67 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,68 :: 		I2C_Write( MCP9600_I2C_ADDR );
ORI	R25, R0, 192
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,69 :: 		I2C_Write( tmp_data[ 0 ] );
LBU	R25, Offset(_tmp_data+0)(GP)
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,70 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,71 :: 		Delay_us( 50 );
LUI	R24, 0
ORI	R24, R24, 1332
L_Read_MCP9600_Status2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Read_MCP9600_Status2
NOP	
NOP	
NOP	
;THERMO_K_click.c,72 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,73 :: 		I2C_Write( MCP9600_I2C_ADDR | 1 );
ORI	R25, R0, 193
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,74 :: 		tmp_data[ 0 ] = I2C_Read( 1 );
ORI	R25, R0, 1
JAL	_I2C_Read+0
NOP	
SB	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,75 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,78 :: 		return DataSum;                                                               // Return MCP9600 Data value
LBU	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,79 :: 		}
;THERMO_K_click.c,78 :: 		return DataSum;                                                               // Return MCP9600 Data value
;THERMO_K_click.c,79 :: 		}
L_end_Read_MCP9600_Status:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _Read_MCP9600_Status
_Read_Temperature:
;THERMO_K_click.c,88 :: 		float Read_Temperature()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;THERMO_K_click.c,92 :: 		tmp_data[0] = MCP9600_TH;                                                     // Thermocouple Temperature register
SW	R25, 4(SP)
SB	R0, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,94 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,95 :: 		I2C_Write( MCP9600_I2C_ADDR );
ORI	R25, R0, 192
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,96 :: 		I2C_Write( tmp_data[ 0 ] );
LBU	R25, Offset(_tmp_data+0)(GP)
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,97 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,98 :: 		Delay_us( 50 );
LUI	R24, 0
ORI	R24, R24, 1332
L_Read_Temperature4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Read_Temperature4
NOP	
NOP	
NOP	
;THERMO_K_click.c,99 :: 		I2C_Start();
JAL	_I2C_Start+0
NOP	
;THERMO_K_click.c,100 :: 		I2C_Write( MCP9600_I2C_ADDR | 1 );
ORI	R25, R0, 193
JAL	_I2C_Write+0
NOP	
;THERMO_K_click.c,101 :: 		tmp_data[ 0 ] = I2C_Read( 0 );
MOVZ	R25, R0, R0
JAL	_I2C_Read+0
NOP	
SB	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,102 :: 		tmp_data[ 1 ] = I2C_Read( 1 );
ORI	R25, R0, 1
JAL	_I2C_Read+0
NOP	
SB	R2, Offset(_tmp_data+1)(GP)
;THERMO_K_click.c,103 :: 		I2C_Stop();
JAL	_I2C_Stop+0
NOP	
;THERMO_K_click.c,105 :: 		if((tmp_data[0] & 0x80) == 0x80){                                             // TA < 0C
LBU	R2, Offset(_tmp_data+0)(GP)
ANDI	R2, R2, 128
ANDI	R3, R2, 255
ORI	R2, R0, 128
BEQ	R3, R2, L__Read_Temperature20
NOP	
J	L_Read_Temperature6
NOP	
L__Read_Temperature20:
;THERMO_K_click.c,106 :: 		tmp_data[0] = tmp_data[0] & 0x7F;                                           // Clear SIGN
LBU	R2, Offset(_tmp_data+0)(GP)
ANDI	R2, R2, 127
SB	R2, Offset(_tmp_data+0)(GP)
;THERMO_K_click.c,107 :: 		Temperature = 1024 - (tmp_data[0]*16 + tmp_data[1] / 16);
ANDI	R2, R2, 255
SLL	R3, R2, 4
LBU	R2, Offset(_tmp_data+1)(GP)
SRL	R2, R2, 4
ANDI	R2, R2, 255
ADDU	R3, R3, R2
ORI	R2, R0, 1024
SUBU	R2, R2, R3
SEH	R4, R2
JAL	__SignedIntegralToFLoat+0
NOP	
; Temperature start address is: 12 (R3)
MOVZ	R3, R2, R0
;THERMO_K_click.c,108 :: 		}
; Temperature end address is: 12 (R3)
J	L_Read_Temperature7
NOP	
L_Read_Temperature6:
;THERMO_K_click.c,110 :: 		Temperature = (tmp_data[0] * 16 + (float)tmp_data[1] / 16);                 // Temperature = Ambient Temperature (C)
LBU	R2, Offset(_tmp_data+0)(GP)
SLL	R2, R2, 4
SH	R2, 8(SP)
LBU	R4, Offset(_tmp_data+1)(GP)
JAL	__Unsigned8IntToFloat+0
NOP	
LUI	R6, 16768
ORI	R6, R6, 0
MOVZ	R4, R2, R0
JAL	__Div_FP+0
NOP	
LH	R3, 8(SP)
SW	R2, 8(SP)
SEH	R4, R3
JAL	__SignedIntegralToFLoat+0
NOP	
LW	R4, 8(SP)
MOVZ	R6, R2, R0
JAL	__Add_FP+0
NOP	
; Temperature start address is: 12 (R3)
MOVZ	R3, R2, R0
; Temperature end address is: 12 (R3)
L_Read_Temperature7:
;THERMO_K_click.c,112 :: 		return Temperature;                                                           // Return Thermocouple temperature data
; Temperature start address is: 12 (R3)
MOVZ	R2, R3, R0
; Temperature end address is: 12 (R3)
;THERMO_K_click.c,113 :: 		}
;THERMO_K_click.c,112 :: 		return Temperature;                                                           // Return Thermocouple temperature data
;THERMO_K_click.c,113 :: 		}
L_end_Read_Temperature:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Read_Temperature
_updateLabel:
;THERMO_K_click.c,122 :: 		void updateLabel(char *newText, int x, int y, char* lbl)
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;THERMO_K_click.c,124 :: 		TFT_Set_Font(&Tahoma52x52_Bold, CL_WHITE, FO_HORIZONTAL);                     // Color of background
SW	R25, 4(SP)
SH	R27, 8(SP)
SH	R26, 10(SP)
SW	R25, 12(SP)
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
LUI	R25, hi_addr(_Tahoma52x52_Bold+0)
ORI	R25, R25, lo_addr(_Tahoma52x52_Bold+0)
JAL	_TFT_Set_Font+0
NOP	
LW	R25, 12(SP)
LH	R26, 10(SP)
LH	R27, 8(SP)
;THERMO_K_click.c,125 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on TFT display with background color
SW	R28, 8(SP)
SH	R27, 12(SP)
SH	R26, 14(SP)
SW	R25, 16(SP)
MOVZ	R25, R28, R0
JAL	_TFT_Write_Text+0
NOP	
LW	R25, 16(SP)
LH	R26, 14(SP)
LH	R27, 12(SP)
LW	R28, 8(SP)
;THERMO_K_click.c,126 :: 		strcpy(lbl, newText);                                                         // Copy newText to lbl
SH	R26, 8(SP)
MOVZ	R26, R25, R0
MOVZ	R25, R28, R0
JAL	_strcpy+0
NOP	
LH	R26, 8(SP)
;THERMO_K_click.c,127 :: 		TFT_Set_Font(&Tahoma52x52_Bold, CL_BLACK, FO_HORIZONTAL);                     // Color of text
SH	R27, 8(SP)
SH	R26, 10(SP)
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Tahoma52x52_Bold+0)
ORI	R25, R25, lo_addr(_Tahoma52x52_Bold+0)
JAL	_TFT_Set_Font+0
NOP	
LH	R26, 10(SP)
LH	R27, 8(SP)
;THERMO_K_click.c,128 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on  TFT display with black color
MOVZ	R25, R28, R0
JAL	_TFT_Write_Text+0
NOP	
;THERMO_K_click.c,129 :: 		}
L_end_updateLabel:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _updateLabel
_main:
;THERMO_K_click.c,134 :: 		void main()
;THERMO_K_click.c,138 :: 		display_init();                                                               // Initialize display
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
ORI	R25, R0, 65535
JAL	_TFT_Fill_Screen+0
NOP	
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
ORI	R28, R0, 46
ORI	R27, R0, 300
ORI	R26, R0, 46
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
ORI	R28, R0, 70
ORI	R27, R0, 300
ORI	R26, R0, 70
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
ORI	R27, R0, 14
ORI	R26, R0, 85
LUI	R25, hi_addr(?lstr1_THERMO_K_click+0)
ORI	R25, R25, lo_addr(?lstr1_THERMO_K_click+0)
JAL	_TFT_Write_Text+0
NOP	
MOVZ	R27, R0, R0
ORI	R26, R0, 31
LUI	R25, hi_addr(_Tahoma15x16_Bold+0)
ORI	R25, R25, lo_addr(_Tahoma15x16_Bold+0)
JAL	_TFT_Set_Font+0
NOP	
ORI	R27, R0, 50
ORI	R26, R0, 125
LUI	R25, hi_addr(?lstr2_THERMO_K_click+0)
ORI	R25, R25, lo_addr(?lstr2_THERMO_K_click+0)
JAL	_TFT_Write_Text+0
NOP	
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr3_THERMO_K_click+0)
ORI	R25, R25, lo_addr(?lstr3_THERMO_K_click+0)
JAL	_TFT_Write_Text+0
NOP	
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
ORI	R27, R0, 223
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr4_THERMO_K_click+0)
ORI	R25, R25, lo_addr(?lstr4_THERMO_K_click+0)
JAL	_TFT_Write_Text+0
NOP	
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Tahoma15x16_Bold+0)
ORI	R25, R25, lo_addr(_Tahoma15x16_Bold+0)
JAL	_TFT_Set_Font+0
NOP	
;THERMO_K_click.c,139 :: 		TFT_Image(20, 82, Thermometer_bmp, 1);
ORI	R28, R0, 1
LUI	R27, hi_addr(_Thermometer_bmp+0)
ORI	R27, R27, lo_addr(_Thermometer_bmp+0)
ORI	R26, R0, 82
ORI	R25, R0, 20
JAL	_TFT_Image+0
NOP	
;THERMO_K_click.c,141 :: 		I2C2_Init( 100000 );
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C2_Init+0
NOP	
;THERMO_K_click.c,142 :: 		Delay_ms(200);                                                                // Delay 200 ms
LUI	R24, 81
ORI	R24, R24, 24916
L_main8:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main8
NOP	
NOP	
NOP	
;THERMO_K_click.c,144 :: 		while(1){
L_main10:
;THERMO_K_click.c,145 :: 		tk_status = &Read_MCP9600_Status;
ORI	R2, R0, lo_addr(_Read_MCP9600_Status+0)
ANDI	R2, R2, 255
SB	R2, Offset(_tk_status+0)(GP)
;THERMO_K_click.c,146 :: 		Temp_Data_Ready = ( tk_status & 0x40 );
LBU	R2, Offset(_tk_status+0)(GP)
ANDI	R2, R2, 64
SB	R2, Offset(_Temp_Data_Ready+0)(GP)
;THERMO_K_click.c,148 :: 		if (Temp_Data_Ready){                                                       // Check is Temperature Data ready
BNE	R2, R0, L__main24
NOP	
J	L_main12
NOP	
L__main24:
;THERMO_K_click.c,149 :: 		sprintf(txt, "%2.1fC", Read_Temperature());                              // Format Temperature Data and store it to txt
JAL	_Read_Temperature+0
NOP	
ADDIU	SP, SP, -12
SW	R2, 8(SP)
LUI	R2, hi_addr(?lstr_5_THERMO_K_click+0)
ORI	R2, R2, lo_addr(?lstr_5_THERMO_K_click+0)
SW	R2, 4(SP)
LUI	R2, hi_addr(_txt+0)
ORI	R2, R2, lo_addr(_txt+0)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;THERMO_K_click.c,150 :: 		res = strcmp(txt,old_txt);                                                // Compare old_txt and txt
LUI	R26, hi_addr(_old_txt+0)
ORI	R26, R26, lo_addr(_old_txt+0)
LUI	R25, hi_addr(_txt+0)
ORI	R25, R25, lo_addr(_txt+0)
JAL	_strcmp+0
NOP	
;THERMO_K_click.c,152 :: 		if(res != 0){                                                             // If old_txt and txt are not equal
ANDI	R2, R2, 255
BNE	R2, R0, L__main26
NOP	
J	L_main13
NOP	
L__main26:
;THERMO_K_click.c,153 :: 		updateLabel(txt, 135, 90, lab1);                                        // Write temperature value on display
LUI	R28, hi_addr(_lab1+0)
ORI	R28, R28, lo_addr(_lab1+0)
ORI	R27, R0, 90
ORI	R26, R0, 135
LUI	R25, hi_addr(_txt+0)
ORI	R25, R25, lo_addr(_txt+0)
JAL	_updateLabel+0
NOP	
;THERMO_K_click.c,154 :: 		strcpy(old_txt,txt);                                                    // Copy txt to old_txt string array
LUI	R26, hi_addr(_txt+0)
ORI	R26, R26, lo_addr(_txt+0)
LUI	R25, hi_addr(_old_txt+0)
ORI	R25, R25, lo_addr(_old_txt+0)
JAL	_strcpy+0
NOP	
;THERMO_K_click.c,155 :: 		}
L_main13:
;THERMO_K_click.c,156 :: 		}
L_main12:
;THERMO_K_click.c,157 :: 		Delay_ms(500);
LUI	R24, 203
ORI	R24, R24, 29524
L_main14:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main14
NOP	
NOP	
NOP	
;THERMO_K_click.c,158 :: 		}
J	L_main10
NOP	
;THERMO_K_click.c,159 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
